c_ftkurvpd(3NCARG)

NAME
c_ftkurvpd - interpolation and derivative calculation for closed parametric curves

FUNCTION PROTOTYPE
int c_ftkurvpd (int, float [], float [], int, float [],
                float [], float [], float [], float [],
                float [], float []);

SYNOPSIS
int c_ftkurvpd (n, xi, yi, m, t, xo, yo, xd, yd, xdd, ydd);

DESCRIPTION

n   The number of input data points. (n > 1)

xi  An array containing the abscissae for the input function.

yi  An array containing the functional values (y[k] is the functional value at x[k] for k=0,n).

m   The number of desired interpolated points.

t   Contains an array of values for the parameter mapping onto the interpolated curve. Any interval [tt,tt+1.] maps onto the entire curve.

xo  An array containing the X values for the interpolated points. t[k] maps to (xo[k],yo[k]) for k=0,n-1.

yo  An array containing the Y values for the interpolated points.

xd  Contains the first derivatives of the X component with respect to t.

yd  Contains the first derivatives of the Y component with respect to t.

xdd Contains the second derivatives of the X component with respect to t.

ydd Contains the second derivatives of the Y component with respect to t.

RETURN VALUE
c_ftkurvpd returns an error value as per:

= 0 -- no error.
= 1 -- if n is less than 2.
= 2 -- if adjacent coordinate pairs coincide.

USAGE
This procedure behaves like ftkurvp except that in addition it returns the first and second derivatives of the component functions in the parameterization.

Given a sequence of distinct input points ( (x[0],y[0]), ... , (x[n-1],y[n-1]), the interpolated curve is parameterized by mapping points in the interval [0.,1.] onto the interpolated curve. The resulting curve has a parametric representation both of whose components are splines under tension and functions of the polygonal arc length. The value 0. is mapped onto (x[0],y[0]) and the value 1. is mapped onto (x[0],y[0]) as well (completing the closed curve).

c_ftkurvpd is called after all of the desired values for control parameters have been set using the procedures c_ftseti, c_ftsetr, c_ftsetc. The only control parameter that applies to c_ftkurvpd is: sig.

The value for the parameter sig specifies the tension factor. Values near zero result in a cubic spline; large values (e.g. 50) result in nearly a polygonal line. A typical value is 1. (the default).

ACCESS
To use c_ftkurvpd, load the NCAR Graphics library ngmath.

SEE ALSO
fitgrid_params, c_ftseti, c_ftsetr, c_ftsetc.

Complete documentation for Fitgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/fitgrid/fithome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.